package com.gic.store.service.outer;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldSelectDTO;
import com.gic.store.service.StoreFieldSelectApiService;
import com.gic.store.service.StoreFieldSelectService;
import com.gic.store.utils.ErrorCode;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/1 2:52 PM
 */
@Service("storeFieldSelectApiService")
public class StoreFieldSelectApiServiceImpl implements StoreFieldSelectApiService{
    @Autowired
    private StoreFieldSelectService storeFieldSelectService;

    @Override
    public ServiceResponse<Integer> save(StoreFieldSelectDTO storeFieldSelectDTO) {
        if (StringUtils.isBlank(storeFieldSelectDTO.getStoreFieldSelectName())) {
            return ServiceResponse.failure(ErrorCode.ERR_5.getCode(), "属性值名称不能为空");
        }
        if (StringUtils.isBlank(storeFieldSelectDTO.getStoreFieldSelectCode())) {
            return ServiceResponse.failure(ErrorCode.ERR_5.getCode(), "属性值code不能为空");
        }
        if (storeFieldSelectDTO.getStoreFieldId() == null) {
            return ServiceResponse.failure(ErrorCode.ERR_5.getCode(), "自定义字段值不能为空");
        }
        if (storeFieldSelectDTO.getEnterpriseId() == null) {
            return ServiceResponse.failure(ErrorCode.ERR_5.getCode(), "企业ID不能为空");
        }
        storeFieldSelectDTO.setCreateTime(new Date());
        storeFieldSelectDTO.setUpdateTime(new Date());

        return ServiceResponse.success(storeFieldSelectService.save(storeFieldSelectDTO));
    }
}
